﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of Ubuntu One on Windows.
 * 
 * Ubuntu One on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with Ubuntu One for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using NUnit.Framework;

namespace Canonical.Ubuntu.SSO.Tests
{
    [TestFixture]
    public class CredentialsDeniedEventArgsFixture
    {
        #region Variables

        private CredentialsDeniedEventArgs _args;

        #endregion

        #region Tests
        
        [Test]
        public void EmptyConstructorTest()
        {
            _args = new CredentialsDeniedEventArgs();
            Assert.AreEqual(string.Empty, _args.ApplicationName);
        }

        [TestCase("UbuntuOne")]
        [TestCase("OtherApp")]
        [TestCase("Tomboy")]
        public void StringConstructorTest(string appName)
        {
            // create the credentials and make sure the correct data is used.
            _args = new CredentialsDeniedEventArgs(appName);
            Assert.AreEqual(appName, _args.ApplicationName);
        }

        #endregion

    }
}
