﻿/* Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using NUnit.Framework;

namespace Canonical.Ubuntu.SSO.Tests
{
    [TestFixture]
    public class LoginCredentialsEventArgsFixture
    {
        #region Variables

        private LoginCredentialsEventArgs _args;

        #endregion

        #region Tests

        [Test]
        public void EmptyConstructorTest()
        {
            _args = new LoginCredentialsEventArgs();
            Assert.AreEqual(string.Empty, _args.Username);
            Assert.AreEqual(string.Empty, _args.Password);
        }

        [TestCase("username", "password")]
        [TestCase("otherUsername", "otherPassword")]
        public void UsernamePasswordConstructor(string username, string password)
        {
            _args = new LoginCredentialsEventArgs(username, password);
            Assert.AreEqual(username, _args.Username);
            Assert.AreEqual(password, _args.Password);
        }
        #endregion
    }
}
