﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
using System;
using System.Windows;

namespace Canonical.Ubuntu.SSO.Views
{
    /// <summary>
    /// Interaction logic for LoginDialog.xaml
    /// </summary>
    public partial class LoginDialog : Window, ILoginView
    {
        #region Variables

        private MessageBoxResult _dialogResult;

        #endregion

        /// <summary>
        /// Gets and sets the email address provided by the user.
        /// </summary>
        public string EmailAddress { get { return EmailTextBox.Text; } }

        /// <summary>
        /// Gets and sets the password set by the user.
        /// </summary>
        public string Password { get { return PasswordTextBox.Password; } }

        /// <summary>
        /// Gets if the view is visible.
        /// </summary>
        public bool IsShown
        {
            get { return IsVisible; }
        }

        /// <summary>
        /// Shows the gui to the user in a dialog mode.
        /// </summary>
        /// <returns></returns>
        public new MessageBoxResult ShowDialog()
        {
            base.ShowDialog();
            return _dialogResult;
        }

        /// <summary>
        /// Initializes a new instance of the LoginDialog class.
        /// </summary>
        public LoginDialog()
        {
            InitializeComponent();
        }

        private void ConnectButtonClick(object sender, RoutedEventArgs e)
        {
            _dialogResult = MessageBoxResult.OK;
            Close();
        }

        private void CancelButtonClick(object sender, RoutedEventArgs e)
        {
            _dialogResult = MessageBoxResult.Cancel;
            Close();
        }
    }
}
