﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of Ubuntu One on Windows.
 * 
 * Ubuntu One on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with Ubuntu One for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;

namespace Canonical.Ubuntu.SSO
{
    /// <summary>
    /// Event args used to notify that the user denied the credentials to 
    /// an application.
    /// </summary>
    public class CredentialsDeniedEventArgs : EventArgs
    {
        /// <summary>
        /// The name of the application whose credentials were denied.
        /// </summary>
        public string ApplicationName { get; set; }

        /// <summary>
        /// Creates a new instance of the class with its data init to the basic values.
        /// </summary>
        public CredentialsDeniedEventArgs()
             : this (""){
            
        }

        /// <summary>
        /// Creates a new instance of the class with the passed data.
        /// </summary>
        /// <param name="applicationName">The name of the application whose credentials were denied.</param>
        public CredentialsDeniedEventArgs(string applicationName)
        {
            ApplicationName = applicationName;
        }
    }
}
