﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of Ubuntu One on Windows.
 * 
 * Ubuntu One on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with Ubuntu One for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;
using System.Windows;

namespace Canonical.Ubuntu.SSO
{
    /// <summary>
    /// Interface to be implemented by a GUI that will interact with the user to perform the login
    /// to retrieve the credentials.
    /// </summary>
    public interface ILoginView
    {
        #region Properties

        /// <summary>
        /// Gets and sets the email address used to login in Ubuntu One.
        /// </summary>
        string EmailAddress { get; }

        /// <summary>
        /// Gets and sets the password used to loign in ubuntu one.
        /// </summary>
        string Password { get; }

        /// <summary>
        /// Gets if the view is visible.
        /// </summary>
        bool IsShown { get; }

        #endregion

        /// <summary>
        /// Shows the gui to the user.
        /// </summary>
        void Show();

        /// <summary>
        /// Shows the gui to the user in a dialog mode.
        /// </summary>
        /// <returns></returns>
        MessageBoxResult ShowDialog();
    }
}
