﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of Ubuntu One on Windows.
 * 
 * Ubuntu One on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with Ubuntu One for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;

namespace Canonical.Ubuntu.SSO
{
    /// <summary>
    /// Event args that will return the username and password provided by the user in the UI.
    /// </summary>
    public class LoginCredentialsEventArgs : EventArgs
    {
        /// <summary>
        /// 
        /// </summary>
        public string Username { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string Password { get; set; }

        /// <summary>
        /// Creates a new instance of the class with its data init to the basic values.
        /// </summary>
        public LoginCredentialsEventArgs()
            : this ("",""){
            
        }

        /// <summary>
        /// Creates a new instance with the given data.
        /// </summary>
        /// <param name="username">The username give to the UI.</param>
        /// <param name="password">The password given to the UI</param>
        public LoginCredentialsEventArgs(string username, string password)
        {
            Username = username;
            Password = password;
        }
    }
}
