﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
using Canonical.UbuntuOne.Client.Notification;
using NUnit.Framework;

namespace Canonical.UbuntuOne.Client.Test.Notification
{
    [TestFixture]
    public class OperationCompletenessEventArgsFixture
    {

        #region Tests

        [Test]
        public void EmptyConstructorTest()
        {
            var args = new OperationCompletenessEventArgs();
            Assert.AreEqual(0, args.Percentage);
            Assert.AreEqual(0, args.Speed);
            Assert.AreEqual(OperationCompletenessEventArgs.SpeedUnitsEnum.MB, args.SpeedUnits);
        }

        [TestCase("work", 1, 3.4, OperationCompletenessEventArgs.SpeedUnitsEnum.MB)]
        [TestCase("dance", 2323, 0.0, OperationCompletenessEventArgs.SpeedUnitsEnum.MB)]
        [TestCase("dowload", 45, 23.4, OperationCompletenessEventArgs.SpeedUnitsEnum.KB)]
        public void ParametersConstructorTest(string operation, int percentage, double speed, OperationCompletenessEventArgs.SpeedUnitsEnum unitsEnum)
        {
            var args = new OperationCompletenessEventArgs(operation, percentage, speed, unitsEnum);
            Assert.AreEqual(operation, args.Operation);
            Assert.AreEqual(percentage, args.Percentage);
            Assert.AreEqual(speed, args.Speed);
            Assert.AreEqual(unitsEnum, args.SpeedUnits);
        }

        #endregion
    }
}
