﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
using System.Collections.Generic;
using Canonical.UbuntuOne.Client.Notification;
using NUnit.Framework;

namespace Canonical.UbuntuOne.Client.Test.Notification
{
    [TestFixture]
    public class RecentlyModifiedEventArgsFixture
    {
        #region Tests

        [Test]
        public void EmptyConstructorTest()
        {
            var args = new RecentlyModifiedEventArgs();
            Assert.IsNotNull(args.RecentlyModifiedFiles);
            Assert.AreEqual(0, args.RecentlyModifiedFiles.Count);
        }

        [Test]
        public void ParametersConstructorTest()
        {
            var list = new List<string>
            {
                "fistPath",
                "secondPath",
                "thridPath"
            };
            var args = new RecentlyModifiedEventArgs(list);
            Assert.AreSame(list, args.RecentlyModifiedFiles);
        }

        #endregion
    }
}
