﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System.Windows.Controls;

namespace Canonical.UbuntuOne.Client.Views
{
    /// <summary>
    /// Interaction logic for AccountView.xaml
    /// </summary>
    public partial class AccountView : UserControl
    {
        #region Properties

        /// <summary>
        /// Allows to set the name that will be displayed in the UI.
        /// </summary>
        public string UserName
        {
            set { NameContent.Content = value; }
        }

        /// <summary>
        /// Allows to set the users email in the UI.
        /// </summary>
        public string Email
        {
            set { EmailContent.Content = value; }
        }

        /// <summary>
        /// Allows to set the current plan of the user.
        /// </summary>
        public string CurrentPlan
        {
            set { CurrentPlanContent.Content = value; }
        }

        #endregion

        public AccountView()
        {
            InitializeComponent();
        }

        
    }
}
