﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System.Windows.Controls;

namespace Canonical.UbuntuOne.Client.Views
{
    /// <summary>
    /// Interaction logic for ServicesView.xaml
    /// </summary>
    public partial class ServicesView : UserControl
    {
        #region Properties

        /// <summary>
        /// Allows to get and set if the bookmarks are synced.
        /// </summary>
        public bool IsBookmarksSynced
        {
            get { return BookmarksCheckbox.IsChecked.Value; }
            set { BookmarksCheckbox.IsChecked = true; }
        }

        /// <summary>
        /// Allows to get or set if the broadcast is synced.
        /// </summary>
        public bool IsBroadcastSynced
        {
            get { return BroadcastCheckbox.IsChecked.Value; }
            set { BroadcastCheckbox.IsChecked = value; }
        }

        /// <summary>
        /// Allows to get and set if the contacts are synced.
        /// </summary>
        public bool IsContactsSynced
        {
            get { return ContactsCheckbox.IsChecked.Value; }
            set { ContactsCheckbox.IsChecked = value; }
        }

        /// <summary>
        /// Allows to get and set if the files re synced.
        /// </summary>
        public bool IsFilesSynced
        {
            get { return FilesCheckbox.IsChecked.Value; }
            set { FilesCheckbox.IsChecked = value; }
        }

        /// <summary>
        /// Allows to get and set if the music is synced.
        /// </summary>
        public bool IsMusicSynced
        {
            get { return MusicCheckbox.IsChecked.Value; }
            set { MusicCheckbox.IsChecked = value; }
        }

        #endregion

        public ServicesView()
        {
            InitializeComponent();
        }
    }
}
