﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System.Windows.Controls;

namespace Canonical.UbuntuOne.Client.Views
{
    /// <summary>
    /// Interaction logic for WindowsSettingsView.xaml
    /// </summary>
    public partial class WindowsSettingsView : UserControl
    {
        #region Properties

        /// <summary>
        /// Allows to get and set if the autosync does occur.
        /// </summary>
        public bool IsAutoSyncEnable
        {
            get { return AutoSyncOption.IsChecked.Value; }
            set { AutoSyncOption.IsChecked = value; }
        }

        /// <summary>
        /// Allows to get and set the frequency used in the atosync.
        /// </summary>
        public double AutoSyncFrequency
        {
            get { return AutoSyncFrequencySpinner.Value*60; }
            set { AutoSyncFrequencySpinner.Value = value/60; }
        }

        #endregion

        public WindowsSettingsView()
        {
            InitializeComponent();
        }

        private void OnAutoSyncOptionChecked(object sender, System.Windows.RoutedEventArgs e)
        {
            AutoSyncFrequencySpinner.IsEnabled = true;
        }

        private void OnAutoSyncOptionUnchecked(object sender, System.Windows.RoutedEventArgs e)
        {
            AutoSyncFrequencySpinner.IsEnabled = false;
        }
    }
}
