﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
namespace Canonical.UbuntuOne.Client.Notification
{
    /// <summary>
    /// Interface to be implemented by a presenter that will be used by the context menu used in the 
    /// a NotificationIconView.
    /// </summary>
    public interface INotificationIconPresenter
    {
        /// <summary>
        /// When implemented this method should for the sync of the ubuntu one folder.
        /// </summary>
        void ManualSync();

        /// <summary>
        /// When implemented this method should open the Preferences window of Ubuntu One.
        /// </summary>
        void OpenUbuntuOnePreferences();

        /// <summary>
        /// When implemented the method should open the explorer with the location of the shares of Ubuntu One.
        /// </summary>
        void OpenSharesLocation();

        /// <summary>
        /// When implemented the method should open the explorer with the location of the sync folders.
        /// </summary>
        void OpenSyncsLocation();

        /// <summary>
        /// When implemented this method should open the location used to provide help to the user.
        /// </summary>
        void OpenHelp();

        /// <summary>
        /// When implemented this method should open the location used to upgrade the account of the user.
        /// </summary>
        void OpenUpgradeOption();

        /// <summary>
        /// When implemented it should close the client and the daemon.
        /// </summary>
        void Exit();
    }
}
