﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
namespace Canonical.UbuntuOne.Client.Notification
{
    /// <summary>
    /// Interface to be implemented by the 
    /// </summary>
    public interface IStateMapper
    {
        /// <summary>
        /// Converts a state enum to a string that can be displayed to the user.
        /// </summary>
        /// <param name="state">The state to be converted.</param>
        /// <returns>A string that represents the sate.</returns>
        string ToString(StateEventArgs.StateEnum state);

        /// <summary>
        /// Converst a string to the state enum
        /// </summary>
        /// <param name="state">The string to be parsed and converted to the enum.</param>
        /// <returns>An enum with the state.</returns>
        StateEventArgs.StateEnum FromString(string state);
    }
}
