﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
using System;

namespace Canonical.UbuntuOne.Client.Notification
{
    /// <summary>
    /// Event arg used when there is a notification to be provided to the user.
    /// </summary>
    public class NotificationEventArgs : EventArgs
    {
        /// <summary>
        /// Gets and sets the message of the notification.
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// Creates a new event arfs with no message.
        /// </summary>
        public NotificationEventArgs()
            : this("")
        {
            
        }

        /// <summary>
        /// Creates a new event args with the given notification message.
        /// </summary>
        /// <param name="message">A message that will be used in the notification.</param>
        public NotificationEventArgs(string message)
        {
            Message = message;
        }
    }
}
