﻿// Copyright 2010 Canonical Ltd.
// 
// This file is part of UbuntuOne on Windows.
// 
// UbuntuOne on Windows is free software: you can redistribute it and/or modify		
// it under the terms of the GNU Lesser General Public License version 		
// as published by the Free Software Foundation.		
//		
// Ubuntu One on Windows is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
// GNU Lesser General Public License for more details.	
//
// You should have received a copy of the GNU Lesser General Public License	
// along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
// 
// Authors: Manuel de la Peña <manuel.delapena@canonical.com>
using System;
using System.Collections.Generic;

namespace Canonical.UbuntuOne.Client.Notification
{
    /// <summary>
    /// Evetn args used to notify which have been the recelty modified files.
    /// </summary>
    public class RecentlyModifiedEventArgs : EventArgs
    {
        /// <summary>
        /// Gets and sets the recently modified files.
        /// </summary>
        public IList<string> RecentlyModifiedFiles { get; set; }

        /// <summary>
        /// Creates a new event args with no files.
        /// </summary>
        public RecentlyModifiedEventArgs()
            : this (new List<string>())
        {
            
        }

        /// <summary>
        /// Creates a new event arg with the given enumerable that contains the paths of the recently
        /// modified files.
        /// </summary>
        /// <param name="recenltyModifiedFiles">The files that have been recently modified.</param>
        public RecentlyModifiedEventArgs(IList<string> recenltyModifiedFiles)
        {
            RecentlyModifiedFiles = recenltyModifiedFiles;
        }
    }
}
