﻿/* Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
namespace Canonical.UbuntuOne.Client.Preferences
{
    /// <summary>
    /// Interface to be implemented by an object that know how to serialize and deserialize the preferences
    /// of a user.
    /// </summary>
    public interface IPreferencesManager
    {
        /// <summary>
        /// Allows to get or set if the autosync is enabled.
        /// </summary>
        bool IsAutoSyncEnable { get; set; }

        /// <summary>
        /// Allows to get and sets the autosync frequency used.
        /// </summary>
        double AutoSyncFrequency { get; set; }

        /// <summary>
        /// Allows to save the preferences in the system.
        /// </summary>
        void Save();
    }
}
