﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;
using System.Runtime.Serialization;

namespace Canonical.UbuntuOne.Common.Container
{
    /// <summary>
    /// Exception to be thrown when the IContainer is missing a type implementation.
    /// </summary>
    [Serializable]
    public class UnsatisfiedDependencyException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="UnsatisfiedDependencyException"/> class.
        /// </summary>
        public UnsatisfiedDependencyException() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="UnsatisfiedDependencyException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public UnsatisfiedDependencyException(string message) : base(message) { }

        /// <summary>
        /// Initializes a new instance of the <see cref="UnsatisfiedDependencyException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        public UnsatisfiedDependencyException(string message, Exception innerException) : base(message, innerException) { }

        /// <summary>
        /// Initializes a new instance of the UnsatisfiedDependencyException class with serialized data.
        /// </summary>
        /// <param name="info">The SerializationInfo that holds the serialized object data about the exception being thrown.</param>
        /// <param name="context">The StreamingContext that contains contextual information about the source or destination.</param>
        protected UnsatisfiedDependencyException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
            // Implement type-specific serialization constructor logic.
        }
    }
}
