﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
namespace Canonical.UbuntuOne.Common
{
    /// <summary>
    /// Interface to be implemented by a factory that can generate process managers
    /// to be used to manage a process in the system.
    /// </summary>
    public interface IProcessManagerFactory
    {
        /// <summary>
        /// Returns a new manager that can be used to manage a process.
        /// </summary>
        /// <returns>A IProcessManager that can be used to interact with a process.</returns>
        IProcessManager GetManager();
    }
}
