﻿using System;

namespace Canonical.UbuntuOne.Common
{
    /// <summary>
    /// Exception thrown when ever there are issues with the daemon.
    /// </summary>
    public class SyncDaemonException : Exception
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the SyncDaemonException class.
        /// </summary>
        public SyncDaemonException()
        {
            
        }

        /// <summary>
        /// Initializes a new instance of the SyncDaemonException class with a specified error message.
        /// </summary>
        /// <param name="message">The message that describes the error. </param>
        public SyncDaemonException(string message)
            : base(message){
            
        }

        /// <summary>
        /// Initializes a new instance of the SyncDaemonException class with a specified error message
        ///  and a reference to the inner exception that is the cause of this exception.
        /// </summary>
        /// <param name="message">The error message that explains the reason for the exception.</param>
        /// <param name="inner">The exception that is the cause of the current exception, 
        /// or a null reference (Nothing in Visual Basic) if no inner exception is specified. </param>
        public SyncDaemonException(string message, Exception inner)
            : base(message, inner)
        {

        }

        #endregion

    }
}
