﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
namespace Canonical.UbuntuOne.Common.Update
{
    /// <summary>
    /// Interface to be implemented by those presenters that will manage the view use to 
    /// communicate the user that an update is taking place.
    /// </summary>
    public interface IUpdatingPresenter
    {
        /// <summary>
        /// Gets and sets the view used by the presenter.
        /// </summary>
        IUpdatingView View { get; set; }

        /// <summary>
        /// Method used to notify the user that the updating started.
        /// </summary>
        void UpdatingStarted();

        /// <summary>
        /// Method used to notify the user that the updating finished.
        /// </summary>
        void UpdatingFinished();
    }
}
