﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;

namespace Canonical.UbuntuOne.Common.Update
{
    /// <summary>
    /// Exception thrown when there has been an issue while the update operation 
    /// was taking place.
    /// </summary>
    public class SelfUpdateException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the SelfUpdateException class.
        /// </summary>
        public SelfUpdateException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the SelfUpdateException class with a specified error message.
        /// </summary>
        /// <param name="message">The message that describes the error. </param>
        public SelfUpdateException(string message)
            : base(message)
        {
            
        }

        /// <summary>
        /// Initializes a new instance of the SelfUpdateException class with a specified error message
        ///  and a reference to the inner exception that is the cause of this exception.
        /// </summary>
        /// <param name="message">The error message that explains the reason for the exception.</param>
        /// <param name="inner">The exception that is the cause of the current exception, 
        /// or a null reference (Nothing in Visual Basic) if no inner exception is specified. </param>
        public SelfUpdateException(string message, Exception inner)
            : base(message, inner)
        {
            
        }
    }
}
