﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System.Diagnostics;
using System.IO;

namespace Canonical.UbuntuOne.Common.Utils
{
    /// <summary>
    /// Implementation of the IExplorer that allows to interact with the file explorer in 
    /// the system.
    /// </summary>
    public class Explorer : IExplorer
    {
        private const string ExplorerProcess = "explorer.exe";

        #region Implementation of IExplorer

        /// <summary>
        /// When implemented the method should open a location of a folder with the given path.
        /// </summary>
        public void OpenFolder(string folderFullPath)
        {
            Process.Start(ExplorerProcess, folderFullPath);
        }

        #endregion
    }
}
