﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System.ServiceModel;

namespace Canonical.UbuntuOne.ProcessDispatcher
{
    /// <summary>
    /// Implementation of the ICallerContext that realies in WCF the retrive the caller of a
    /// WCF Operation contract.
    /// </summary>
    internal class CallerContext<TCaller> : ICallerContext<TCaller>
    {
        #region Implementation of ICallerContext<TCaller>

        /// <summary>
        /// Returns the object that has called the method,
        /// </summary>
        /// <returns>The object that performed the call.</returns>
        public TCaller GetCaller()
        {
            return OperationContext.Current.GetCallbackChannel<TCaller>();
        }

        #endregion
    }
}
