/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Pea <manuel.delapena@canonical.com>
 */
namespace Canonical.UbuntuOne.ProcessDispatcher
{
    /// <summary>
    /// Interface to be implemented by those objects that now how to process the messages comming from python.
    /// </summary>
    public interface IMessageProcessor
    {
        /// <summary>
        /// Will process the message sent by the python code and will perform all the possibly required operations.
        /// </summary>
        /// <param name="message"></param>
        void ProcessMessage(object message);
    }
}