﻿/*
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
namespace Canonical.UbuntuOne.ProcessDispatcher
{
    /// <summary>
    /// Factory that will generate the IPipeStream objects that understand the protocol used to communicate
    /// between the different processes.
    /// </summary>
    public interface IPipeStreamerFactory
    {
        /// <summary>
        /// Creates a new PipeStreamer that know the streamer to create that will
        /// know the protocol used to communicate between processes.
        /// </summary>
        /// <returns>A pipe streamer that knoww how to the protocol works.</returns>
        IPipeStreamer Create();
    }
}
