﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;

namespace Canonical.UbuntuOne.ProcessDispatcher
{
    /// <summary>
    /// Base class exception thrown where there is an issue while listening to the pipe used
    /// by python to send messages.
    /// </summary>
    public class PipeListenerException : Exception 
    {

        /// <summary>
        /// Creates a new instance of the exception.
        /// </summary>
        public PipeListenerException()
        {
            
        }

        /// <summary>
        /// Creates a new instance of the exception that will carry the given 
        /// message.
        /// </summary>
        /// <param name="message">The message to be carrie by the exception.</param>
        public PipeListenerException(string message)
            : base(message)
        {
            
        }

        /// <summary>
        /// Creates a new instance of the exception that will carry the given message and
        /// inner exception.
        /// </summary>
        /// <param name="message">The message to be carried by the exception.</param>
        /// <param name="inner">The inner exception that originated this exception.</param>
        public PipeListenerException(string message, Exception inner)
            : base(message, inner)
        {
            
        }
    }
}
