﻿/*
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;
using System.Security.Principal;
using Canonical.UbuntuOne.Common.Utils;

namespace Canonical.UbuntuOne.ProcessDispatcher
{
    /// <summary>
    /// Start up taks that takes care of ensuring that we will be listening to messages from python.
    /// </summary>
    public class PipeListeningStartupTask : IStartupTask
    {
        #region DI properties

        /// <summary>
        /// Gets and sets the listener that is used to receive messages from python.
        /// </summary>
        internal IPipeListener PipeListener { get; set; }

        #endregion

        public void Exeucte()
        {
            PipeListener.StartListening(string.Format("PythonMessages{0}", WindowsIdentity.GetCurrent().Name));
        }
    }
}
