﻿/**
 * Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using System;
using System.Windows;
using Canonical.UbuntuOne.Client.Notification;
using Canonical.UbuntuOne.Client.Preferences;
using Canonical.UbuntuOne.Common.Update;
using Canonical.UbuntuOne.Common.Utils;
using Canonical.UbuntuOne.ProcessDispatcher;
using NUnit.Framework;
using Rhino.Mocks;

namespace UbuntuOneClient.Tests
{
    [TestFixture]
    public class ProgramFixture
    {
        // TODO: If this tests are ran in TestDriven.net there are exceptions thrown
        // due to the way in which the threads are spawn. If the tests are ran with NUnit
        // there are no issues.
        #region Variables

        private IUpdater _updater;
        private INotificationIconView _notifyIcon;
        private IApplication _app;
        private MockRepository _mocks;
        private Program _program;

        #endregion

        #region Seup & Tear Down

        [SetUp]
        public void Setup()
        {
            _mocks = new MockRepository();
            _updater = _mocks.StrictMock<IUpdater>();
            _notifyIcon = _mocks.StrictMock<INotificationIconView>();
            _app = _mocks.StrictMock<IApplication>();
            _program = new Program
            {
                NotifyIcon = _notifyIcon,
                Updater = _updater,
                Application = _app,
            };
        }

        [TearDown]
        public void TearDown()
        {
            // ensure that the updater thread joins the application, if not we will have an issue 
            // with the tests since the thread will not be collected
            _program.StopUpdaterThread();
            _mocks.BackToRecordAll();
        }

        #endregion

        //[Test]
        //public void StartApplicationNoUpdates()
        //{
        //    using (_mocks.Record())
        //    {
        //        // expect the application shutdown mode to change
        //        _app.ShutdownMode = ShutdownMode.OnExplicitShutdown;

        //        // expect that we are calling the run with the correct window
        //        Expect.Call(() => _app.Run(_notifyIcon as Window))
        //            .IgnoreArguments()
        //            .Repeat.Once();

        //        Expect.Call(() => _pipeListener.StartListening(""))
        //            .IgnoreArguments()
        //            .Repeat.Once();

        //        // return that the are no update, since we have a strict mock the test will
        //        // fail if we perform the update.
        //        Expect.Call(_updater.UpdatesArePresent())
        //            .Return(false);

        //        Expect.Call(() => _preferencesDialogPresenter.LoadPreferences())
        //            .Repeat.Once();
        //    }
        //    using (_mocks.Playback())
        //    {
        //        _program.StartApplication();
        //    }
        //}

        //[Test]
        //public void StartApplicationWithUpdates()
        //{
        //    Assert.Ignore("RhinoMocks does not support multithreaded tests and therefore this test will not be reliable");
        //    using (_mocks.Record())
        //    {
        //        _app.ShutdownMode = ShutdownMode.OnExplicitShutdown;

        //        // expect that we are calling the run with the correct window
        //        Expect.Call(() => _app.Run(_notifyIcon as Window))
        //            .IgnoreArguments()
        //            .Repeat.Once();

        //        // return that the are no update, since we have a strict mock the test will
        //        // fail if we perform the update.
        //        Expect.Call(_updater.UpdatesArePresent())
        //            .Return(true);

        //        Expect.Call(() => _preferencesDialogPresenter.LoadPreferences())
        //            .Repeat.Once();

        //        Expect.Call(() => _updater.PerformUpdate())
        //            .Repeat.Any();
        //    }
        //    using (_mocks.Playback())
        //    {
        //        _program.StartApplication();
        //    }
        //}

        //[Test]
        //public void StartApplicationWithCheckUpdatesExceptionTest()
        //{
        //    Assert.Ignore("RhinoMocks does not support multithreaded tests and therefore this test will not be reliable");
        //    using (_mocks.Record())
        //    {
        //        _app.ShutdownMode = ShutdownMode.OnExplicitShutdown;

        //        // expect that we are calling the run with the correct window
        //        Expect.Call(() => _app.Run(_notifyIcon as Window))
        //            .IgnoreArguments()
        //            .Repeat.Once();

        //        // throw an exception and expect it to be caught and continue.
        //        Expect.Call(_updater.UpdatesArePresent())
        //            .Throw(new SelfUpdateException());

        //        Expect.Call(() => _preferencesDialogPresenter.LoadPreferences())
        //            .Repeat.Once();

        //    }
        //    using (_mocks.Playback())
        //    {
        //        _program.StartApplication();
        //    }
        //}
    }
}
