﻿/* Copyright 2010 Canonical Ltd.
 * 
 * This file is part of UbuntuOne on Windows.
 * 
 * UbuntuOne on Windows is free software: you can redistribute it and/or modify		
 * it under the terms of the GNU Lesser General Public License version 		
 * as published by the Free Software Foundation.		
 *		
 * Ubuntu One on Windows is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	
 * GNU Lesser General Public License for more details.	
 *
 * You should have received a copy of the GNU Lesser General Public License	
 * along with UbuntuOne for Windows.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Authors: Manuel de la Peña <manuel.delapena@canonical.com>
 */
using Canonical.UbuntuOne.Client.Preferences;

namespace UbuntuOneClient
{
    /// <summary>
    /// Process manager that allows to manage the prefenrences for the current user.
    /// </summary>
    public class PreferencesManager : IPreferencesManager
    {
        public bool IsAutoSyncEnable
        {
            get { return Properties.Settings.Default.IsAutoSyncEnabled; }
            set { Properties.Settings.Default.IsAutoSyncEnabled = value; }
        }

        public double AutoSyncFrequency
        {
            get { return Properties.Settings.Default.AutoSyncFrequency; }
            set { Properties.Settings.Default.AutoSyncFrequency = value; }
        }

        public void Save()
        {
            Properties.Settings.Default.Save();
        }
    }
}
