#!/usr/bin/env python
# Copyright (C) 2010 Canonical - All Rights Reserved

""" """
import sys
from glob import glob

# ModuleFinder can't handle runtime changes to __path__, but win32com uses them
try:
    # py2exe 0.6.4 introduced a replacement modulefinder.
    # This means we have to add package paths there, not to the built-in
    # one.  If this new modulefinder gets integrated into Python, then
    # we might be able to revert this some day.
    # if this doesn't work, try import modulefinder
    try:
        import py2exe.mf as modulefinder
    except ImportError:
        import modulefinder
    import win32com
    for p in win32com.__path__[1:]:
        modulefinder.AddPackagePath("win32com", p)
    for extra in ["win32com.shell" ,"win32com.api"]: 
        __import__(extra)
        m = sys.modules[extra]
        for p in m.__path__[1:]:
            modulefinder.AddPackagePath(extra, p)
except ImportError:
    # no build path setup, no worries.
    pass
  
from distutils.core import setup
import py2exe

if __name__ == '__main__':

    setup(
        options = {
            "py2exe": {
                "compressed": 1,
                "optimize": 2}},
        name='u1sync',
        version='0.0.1',
        author = "Canonical Online Services Hackers",
        description="""u1sync is a utility of Ubuntu One.
        Ubuntu One is a suite of on-line
        services. This package contains the a synchronization client for the
        Ubuntu One file sharing service.""",
        data_files = [("Microsoft.VC90.CRT", glob(r'C:\Program Files\Microsoft Visual Studio 9.0\VC\redist\x86\Microsoft.VC90.CRT\*.*'))],
        license='GPLv3',
        console=['u1sync\\main.py'],
        requires=[
            'python (>= 2.5)',
            'oauth',
            'twisted.names',
            'twisted.web',
            'ubuntuone.storageprotocol (>= 1.3.0)',
            ],
        )
